import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Proizvod } from '../model/proizvod';
import { ProizvodiService } from '../proizvodi.service';

@Component({
  selector: 'app-admin',
  templateUrl: './admin.component.html',
  styleUrls: ['./admin.component.css']
})
export class AdminComponent implements OnInit {

  constructor(private proizvodiServis: ProizvodiService,
    private ruter: Router) { }

  ngOnInit(): void {
    this.proizvodiServis.dohvatiSveProizvode().subscribe((data: Proizvod[])=>{
      this.sviProizvodi = data;
    })
    let korisnik = JSON.parse(localStorage.getItem('ulogovan'));
    if(korisnik.tip!='A'){
      this.ruter.navigate(['']);
    }
  }

  sviProizvodi: Proizvod[]
  
  dodaj(naziv){
    this.proizvodiServis.dodajProizvod(naziv).subscribe(res=>{
      if(res['poruka']=='ok'){
        this.proizvodiServis.dohvatiSveProizvode().subscribe((data: Proizvod[])=>{
          this.sviProizvodi = data;
        })
      }
    })
  }

  ukloni(naziv){
    this.proizvodiServis.ukloniProizvod(naziv).subscribe(res=>{
      if(res['poruka']=='ok'){
        this.proizvodiServis.dohvatiSveProizvode().subscribe((data: Proizvod[])=>{
          this.sviProizvodi = data;
        })
      }
    })
  }
}
