import { Component, OnInit } from '@angular/core';
import { KorisnikService } from '../korisnik.service';
import { Korisnik } from '../model/korisnik';
import { Proizvod } from '../model/proizvod';
import { ProizvodiService } from '../proizvodi.service';

@Component({
  selector: 'app-korisnik',
  templateUrl: './korisnik.component.html',
  styleUrls: ['./korisnik.component.css']
})
export class KorisnikComponent implements OnInit {

  constructor(private proizvodServis: ProizvodiService,
    private korisnikServis: KorisnikService) { }

  ngOnInit(): void {
    this.korisnik = JSON.parse(localStorage.getItem('ulogovan'));
    this.proizvodServis.dohvatiSveProizvodeKojihImaNaStanju().subscribe((data: Proizvod[])=>{
      this.proizvodi = data;
    })
  }

  proizvodi: Proizvod[]

  kupi(){
    this.proizvodi.forEach((proizvod)=>{
      if(proizvod.zaKupovinu){
        let korisnik = JSON.parse(localStorage.getItem('ulogovan'));
        this.proizvodServis.kupiProizvod(proizvod.naziv, korisnik.kor_ime).subscribe((res)=>{
          if(res['poruka']!='ok'){
            alert('Greska')
          }
          else{
            this.korisnikServis.dohvatiKorisnika(korisnik.kor_ime).subscribe((kor:Korisnik)=>{
              this.korisnik = kor;
            })
          }
        });
      }
    })
  }

  korisnik: Korisnik;
  proizvod: string;
  ocena: string;

  oceni(){
    this.proizvodServis.oceniProizvod(this.proizvod, parseInt(this.ocena)).subscribe((resp)=>{
      if(resp['poruka']=='ok'){
        alert('ocena dodata')
      }
    })
  }
}
