import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { KorisnikService } from '../korisnik.service';
import { Korisnik } from '../model/korisnik';

@Component({
  selector: 'app-prijava',
  templateUrl: './prijava.component.html',
  styleUrls: ['./prijava.component.css']
})
export class PrijavaComponent implements OnInit {

  constructor(private korisnikServis: KorisnikService, 
    private ruter: Router) { }

  ngOnInit(): void {
  }

  kor_ime: string;
  lozinka: string;
  greska: string;

  prijava(){
    this.korisnikServis.prijavaNaSistem(this.kor_ime, this.lozinka).
    subscribe((kor: Korisnik)=>{
      if(kor){
        localStorage.setItem('ulogovan', JSON.stringify(kor));
        if(kor.tip=='S'){
          this.ruter.navigate(['korisnik'])
        }
        else{
          this.ruter.navigate(['admin'])
        }
      }
      else{
        this.greska = 'Greska'
      }
      
    })
  }

}
